Questions tagged [ns2]

The Network Simulator - ns-2

Filter by
Sorted by
Tagged with
0
votes
1answer
36 views

Dependency issues while installing ns2

Check if you are using third-party repositories. If so disable them, since they are a common source of problems. Furthermore run the following command in a Terminal: apt-get install -f Transaction ...
0
votes
1answer
65 views

Problem Installing Network Simulator 2 in Ubuntu 18.04

A university course on Computer Networks requires to have Network Simulator 2 installed. But I struggle a lot to make this install happen. What I Have Done So Far Have downloaded the ns2 binaries ...
0
votes
0answers
76 views

In ns-2.35, xgraph is not getting installed. I can generate nam file

user@user-Lenovo-V110-15ISK:~/ns-allinone-2.35$ xgraph Segmentation fault (core dumped) user@user-Lenovo-V110-15ISK:~/ns-allinone-2.35$ ./xgraph bash: ./xgraph: No such file or directory user@user-...
0
votes
0answers
56 views

How to Know The Number of Alive Nodes in NS2?

I am working on the NS2 simulator and I got a trace file, so I need to know Network lifetime (the number of alive nodes with simulation time). My Questions Are: Is there such a way to do this? ...
1
vote
0answers
55 views

Why showing this error in running mptcp?

Could anybody please help me. Why showing this error while I am trying to run the command for sample mptcp? The file is available here https://github.com/wangzhizhou/Network-Simulator-Installation-...
1
vote
1answer
44 views

How do I move a file from the Downloads folder into the opt folder on Ubuntu?

I am trying to install a network simulator onto Ubuntu on my virtual machine(VMWare). It requires me to move the file downloaded into the opt folder in order for me to run other commands for ...
1
vote
1answer
27 views

Why is MESSAGE_PORT always 42?

I am new to NS2. In any tcl file where flooding is done, MESSAGE_PORT is always set to 42. What is the reason behind this?
0
votes
1answer
81 views

Instal NS2 in Linux Ubuntu 32 bit [duplicate]

how to install NS2 on linux correctly. because many tutorials cannot be run. ask for help please yes because I'm still a beginner in using Linux Ubuntu. thank you.
1
vote
0answers
93 views

Topology not creating from OSM wizard (Browser) (file:///home/rehan/sumo-0.32.0/tools/webWizard/index.html)

rehan@rehan-Y11C:~/sumo-0.32.0/tools$ python osmWebWizard.py Building scenario in '/home/rehan/sumo-0.32.0/tools/2019-11-15-12-29-32' Downloading map data 200 OK Converting map data Usage: ...
1
vote
0answers
46 views

Simple broadcasting network in NS2

I am new to NS2 and I am implementing a simple broadcasting network in NS2. The tcl file is given below. Please tell me what is the work of these two variables MESSAGE_PORT and BROADCAST_ADDR? And ...
2
votes
0answers
81 views

What version of gcc should i install on ubuntu 19.4 and how?

So i tried installing gcc 4.8 on Ubuntu 19.4 but i keep getting errors. I figured it must be happening because Ubuntu 19.4 does not support gcc 4.8. The error says that the package might be obsolete. ...
1
vote
0answers
932 views

NS2 Installation in ubuntu 18.04

I was trying to install ns2 from source. I followed the steps given here https://www.nsnam.com/2018/06/installation-of-ns2-in-ubuntu-1804.html. I am getting the following error. config.status: ...
0
votes
0answers
190 views

NS2 Software compilation issue in Ubuntu 18.04

I tried to build and compile NS2 source code in Ubuntu 18.04 LTS distribution but I get back that message: make: *** No rule to make the target « mit/rca/rcagent.c », necessary for « mit/rca/rcagent....
0
votes
0answers
340 views

how to totally uninstall network simulator (ns2) and reinstall

When configured, ns found the right version of tclsh in /usr/bin/tclsh8.6 but it doesn't seem to be there anymore, so ns will fall back on running the first tclsh in your path. The wrong version of ...
0
votes
0answers
34 views

where is ns-2.35 and tcl8.5.8 directories in file system stored? [duplicate]

I used sudo apt-get install ns2 to install ns2. I want to know where are the above mentioned directories stored on my system?
1
vote
0answers
522 views

./trgraph: error while loading shared libraries: libXp.so.6: cannot open shared object file: No such file or directory

Good morning community, i wanted to install tracegraph on Ubuntu 16.04 - 32 bit: i downloaded "tracegraph202" and i extracted it. i downloaded "mglinstaller" and i extracted it into "tracegraph202". ...
0
votes
2answers
2k views

NS2 compilation errror in ubuntu

gcc-4.4 -c -g -O2 -DNDEBUG -DUSE_SHM -DHAVE_UNISTD_H=1 -I. -I/home/akhil/ns-allinone-2.35/include -I/home/akhil/ns-allinone-2.35/include -I/home/akhil/ns-allinone-2.35/include -I/include otcl.c make: ...
1
vote
1answer
333 views

ns2 installation problem in ubuntu

I have gcc-7.2.0 I want to install ns2.35 which requires gcc-4.4. How to solve this problem. I have tried many commands and have downloaded Gcc4.4 tar file. please help me for solving this problem.
1
vote
1answer
1k views

Error while installing NS2 on Ubuntu 17.01

The following error keeps appearing while installing ns2 on Ubuntu 17.01: mdart/mdart_adp.cc: In member function ‘void ADP::sendDarq(nsaddr_t, int)’: mdart/mdart_adp.cc:108:21: error: reference to ‘...
0
votes
1answer
254 views

Error in installing ns2.35 on ubuntu

I'm getting the following error while trying to install ns2.35: Error in `ns': free(): invalid next size (fast): 0x0000000000c7c850 Aborted Are there any methods to bypass this error?
0
votes
2answers
580 views

Can't install ns2 in Ubuntu with the below error as shown in picture

I can't install ns2 in Ubuntu with the below error as shown in the picture. (1) You MUST put /home/dadebidad/NS2/ns-allinone-2.35/otcl-1.14, /home/dadebidad/NS2/ns-allinone-2.35/lib, into your ...
0
votes
1answer
616 views

DSR, OLSR and ZRP simulation problems in NS2

I am trying to simulate each type of routing protocoles in NS2. I started with AODV and DSDV, it worked very well, but when I tried to simulate DSR I got this error "core dumped", and for OLSR and ZRP ...
1
vote
2answers
973 views

How to install ns2 and ns3 together?

Can I install ns2 and ns3 together in Ubuntu 16.04?
2
votes
1answer
1k views

bash: ./ns: No such file or directory

I am trying to execute a TCL script in NS2 simulator but I see this error: bash: ./ns: No such file or directory The path is `ns-2.35/tcl/ex/wpan.' When I execute this file in ns-2.35, it runs well. ...
1
vote
1answer
181 views

NS-2.31 Make fail while adding a transport layer protocol

While adding a transport layer protocol in ns-2.31 in ubuntu 14.04, I am coming across the following error that I have been unable to resolve. "make: *** [dtsncc/dtsncc-cache.o] Error 1" (...
0
votes
1answer
587 views

Installing NS2 under Ubuntu

I'm trying to install NS2 on Ubuntu 14.04. I followed the steps that are recommended and in this answer. But I'm still facing lots of errors. /home/smallko/ns-allinone-2.28/sgb/gb_io.w:576: undefined ...
0
votes
1answer
404 views

Problem installing additional packages in ns2

Step 3: Building the Dependencies Package autoconf is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from ...
1
vote
2answers
2k views

how to set a node to sleep in ns2

I just want to set a node to sleep in "ns-2" and i have searched in protocols and i found a lot of objects and functions about sleep but i couldn't use them in other protocols to set a node to sleep. ...
1
vote
1answer
678 views

gcc not found while executing shell script

invalid command name "gcc" while executing "gcc rsa.c -o rsa -lm" (file "./run.sh" line 1) does gcc-4.9.2 works correctly on ns-2.35 or is it gcc-4.4
1
vote
0answers
407 views

NS2 program TCP over noisy channel error

Set error model on link n2 to n3 set loss_module [new ErrorMode] $loss_module set rate_ 0.1 Create the Simulator instance set ns [new Simulator] $ns color Red $ns color Blue Open NAM trace file $...
1
vote
1answer
2k views

nam error : Segmentation fault (core dumped)

I'm trying to use ns2 in ubuntu 14.04 (32 bit). But I'm having a great trouble using nam I can use ns2 command easily $ ns example.tcl But the nam is not working properly. On executing the below ...
-1
votes
1answer
256 views

Installation of more than one version of ns-2 on the same machine

I have an already working installation of NS 2.35 in my machine. I need to install NS 2.27 on the same machine. My question is will there be a conflict between both versions that will make either of ...
0
votes
2answers
396 views

Error in installing NS2

Here is the Error i am getting while installing NS2 in version 2.35 in ubuntu 14.04. What is the solution of the error ? Do I need to re-install the whole setup or specific module because this ...
0
votes
1answer
82 views

Troubleshooting of updation during installation of ns2 in ubuntu [duplicate]

Due to install the ns2 program in ubuntu, ubuntu updation is not running successfully. Error occurs like - Err http://security.ubuntu.com quantal-security/main Sources 404 Not Found [IP: **.***.**...
1
vote
1answer
272 views

How to install ns2 on Ubuntu

If I upgrade Ubuntu 12.04 to 14.04, will NS2 still be supported? I am currently using NS2 on Ubuntu 12.04.
0
votes
1answer
4k views

installing ns2 in ubuntu [duplicate]

when I give this command apt-get install build-essential autoconf automake libxmu-dev it gives the following error E: Package 'build-essential' has no installation candidate E: Package 'autoconf' ...
1
vote
1answer
5k views

how to show GUI of ns2?

I have installed NS2 (network simulator 2.34) on my ubuntu 12.4. But when I execute the ns ns-simple.tcl in the terminal only the following messages have been shown without any GUI or schematic of my ...
0
votes
2answers
4k views

NS2 Package not located in Ubuntu 13.04

i have installed ns2 on ubuntu 12.04 and there never have been any problem. Now with 13.04, it gives this message "unable to locate the package: ns2" . Whether i try it through software centre or ...
0
votes
1answer
7k views

How to install gcc-4.3 for NS2

I want to install NS2 in Ubuntu. I run the below command: sudo apt-get install build-essential autoconf automake libxmu-dev gcc-4.3 But I got an error: Package gcc-4.3 is not available . . . E: ...